Bug 101965 - Sidebar: List Styles: No entry or option to unset/clear a style
Summary: Sidebar: List Styles: No entry or option to unset/clear a style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: An-Kh
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on: 115071
Blocks: Bullet-Number-Outline-Lists Sidebar-Styles Writer-Styles-List
  Show dependency treegraph
 
Reported: 2016-09-07 13:46 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-04-14 10:19 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-09-07 13:46:23 UTC
So we can set a list style in the Styles & Formatting deck of the sidebar, but no means to unset the style in the sidebar. A user would need to open the paragraph dialog, and in the 'outline & numbering tab', set numbering style to 'none'.

So there are multiple ways that this could be achieved.

1) Add a 'none' entry to the list

2) Add a context menu option to clear the style

3) Add an option in the style group button to clear the style
Comment 1 Heiko Tietze 2017-01-17 16:06:03 UTC
Properties > Style and Styles > Character Style know the "default style" entry. But the default for lists is rather none. I think 1) is the cleanest solution.

Proposing this as an easyhack.
Comment 2 Thomas Lendo 2018-01-16 20:57:06 UTC
I also vote for variant 1) with a 'none' or 'no list' entry in the list styles list as this would be similar to the 'default character' style (aka non-character style) in the character styles list. Also this new entry could be re-used as command in toolbars, etc.
Comment 3 Thomas Lendo 2018-01-16 20:57:38 UTC
*** Bug 114904 has been marked as a duplicate of this bug. ***
Comment 4 Cor Nouws 2018-01-17 15:41:54 UTC
Philips (jay) from comment #0)
> So we can set a list style in the Styles & Formatting deck of the sidebar,
> but no means to unset the style in the sidebar. A user would need to open
> the paragraph dialog, and in the 'outline & numbering tab', set numbering
> style to 'none'.

Search for Ctrl+Shift+F12 - that is the command you need.(In reply to Yousuf
Comment 5 Yousuf Philips (jay) (retired) 2018-01-17 18:37:28 UTC
(In reply to Cor Nouws from comment #4)
> Search for Ctrl+Shift+F12 - that is the command you need.

Yes the .uno:RemoveBullets command is definitely what Thomas was hoping for in bug 114904.
Comment 6 Xisco Faulí 2020-03-09 13:28:52 UTC
Please add keyword 'needsUXEval' and CC 'libreoffice-ux-advise@lists.freedesktop.org' if input from UX is needed.
Comment 7 An-Kh 2021-01-23 18:27:14 UTC
Hi

This patch requires that a "No List" option should be added in Sidebar..

Please correct me if I am wrong..

Setting a "No List" option in the sidebar will require a symbol to represent it(like it represents for Bulleted List etc.).. 

Should an existing symbol be used?
Comment 8 Heiko Tietze 2021-01-25 05:26:38 UTC
Rizal, Andreas: comment 7 is your expertise
Comment 9 Rizal Muttaqin 2021-01-25 06:11:04 UTC
(In reply to An-Kh from comment #7)

> 
> Should an existing symbol be used?

I think so, we have cmd/*c_removebullets.png
Comment 10 sdc.blanco 2021-01-25 08:10:47 UTC
(In reply to An-Kh from comment #7)
> This patch requires that a "No List" option should be added in Sidebar.. 
> Please correct me if I am wrong..
More precisely, in the List Style window in the Styles Deck, the word "No List" or "None" should be added above "Bullet-"

> Setting a "No List" option in the sidebar will require a symbol to represent
> it(like it represents for Bulleted List etc.).. 
Afaict, no symbol.  

More importantly, this "No List" Option should be highlighted when the cursor in the document canvas is not in a List Style.

This might happen when the cursor was in a List Style (and shown highlighted in the Style Deck), but then F12 or Shift-F12 was pressed. In that case, the highlighting in the Style Deck would shift to "No List"

Alternatively, the cursor was in a List Style and a person "double-clicked" on "No List", then the List Style would be removed. 

Maybe there are some other variations, but this should give the general idea.
Also, see "Default Paragraph Style" and "Default Character Style" (in the Paragraph and Character sections of the Style deck).  "No List" should have a similar operation.

No one has raised the question of whether "No List" should have a context menu.
Perhaps it should be like "Default Character Style" and have a "New" option in its context menu. 

> Should an existing symbol be used?
No
Comment 11 An-Kh 2021-01-26 23:12:22 UTC
Hi

Please have a look at this patch :

https://gerrit.libreoffice.org/c/core/+/108841
Comment 12 Jim Raykowski 2021-03-28 04:25:36 UTC
(In reply to sdc.blanco from comment #10)
> No one has raised the question of whether "No List" should have a context
> menu.
> Perhaps it should be like "Default Character Style" and have a "New" option
> in its context menu. 
> 
There isn't a technical reason not to include the "New..." item in the context menu for "No List". As the patch stands now it is not active in the context menu for "No List".
Comment 13 Commit Notification 2021-03-29 12:08:53 UTC
Anshu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a56aa46fcc62227df7dc9a8fa04205e8ff5ed2a1

tdf#101965 : Add No List default in Styles deck in sidebar

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 sdc.blanco 2021-03-30 22:29:51 UTC
Is there a special reason for changing "None" to "No List" in the dropdown box in the Paragraph Style dialog?

If not, then I think that it should remain as "None" for the following reasons:
 - "renaming and moving UI elements has to be an exception" (bug 139667, comment 72)
 - other tabs in the dialog (e.g., Area, Highlighting) use "None" when an attribute is not applied.
Comment 15 Heiko Tietze 2021-04-06 08:21:06 UTC
See Jim's comment to patchset 22 from Mar 28 01:27.

Whether None or No please consider other styles, in particular the discussion about Default Character Style.